Bug 840526 - Booting in FIPS mode fails if initramfs build without crypto dracut module
Booting in FIPS mode fails if initramfs build without crypto dracut module
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 717789
  Show dependency treegraph
 
Reported: 2012-07-16 10:27 EDT by Milan Broz
Modified: 2013-02-28 23:11 EST (History)
3 users (show)

See Also:
Fixed In Version: dracut-023-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-23 09:36:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.61 KB, patch)
2012-07-16 10:27 EDT, Milan Broz
no flags Details | Diff

  None (edit)
Description Milan Broz 2012-07-16 10:27:00 EDT
Created attachment 598464 [details]
Proposed patch

Description of problem:
If you build initramfs without crypto module, some crypto modules are not copied and boot with fips=1 fails.

Attached patch adds missing GCM/Ghash modules to fips list so self tests can pass even without dracut crypto module installed.

Version-Release number of selected component (if applicable):
dracut-fips-020-84.git20120711.fc18.x86_64
dracut-fips-aesni-020-84.git20120711.fc18.x86_64

How reproducible:
in fips mode, try dracut -o crypt
Comment 1 Milan Broz 2012-08-23 09:36:02 EDT
This was merged some time ago, at least with dracut-023-2.fc18 it works, closing.

Note You need to log in before you can comment on or make changes to this bug.